CVE-2000-1093
CVSS7.5
发布时间 :2001-01-09 00:00:00
修订时间 :2016-11-28 14:06:14
NMCOES    

[原文]Buffer overflow in AOL Instant Messenger before 4.3.2229 allows remote attackers to execute arbitrary commands via a long "goim" command.


[CNNVD]AOL Instant Messenger 'aim://'缓冲区远程漏洞(CNNVD-200101-022)

        AOL Instant Messenger 4.3.2229之前版本存在漏洞。远程攻击者可以借助超长"goim"命令执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:aol:instant_messenger:3.5.1856
cpe:/a:aol:instant_messenger:3.0.1470
cpe:/a:aol:instant_messenger:2.5.1366
cpe:/a:aol:instant_messenger:4.1.2010
cpe:/a:aol:instant_messenger:3.5.1635
cpe:/a:aol:instant_messenger:4.2.1193
cpe:/a:aol:instant_messenger:3.0_n
cpe:/a:aol:instant_messenger:2.0_n
cpe:/a:aol:instant_messenger:2.5.1598
cpe:/a:aol:instant_messenger:4.0
cpe:/a:aol:instant_messenger:3.5.1670
cpe:/a:aol:instant_messenger:3.5.1808

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2000-1093
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2000-1093
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200101-022
(官方数据源) CNNVD

- 其它链接及资源

http://www.atstake.com/research/advisories/2000/a121200-1.txt
(VENDOR_ADVISORY)  ATSTAKE  A121200-1
http://xforce.iss.net/xforce/xfdb/5732
(UNKNOWN)  XF  aim-remote-bo(5732)

- 漏洞信息

AOL Instant Messenger 'aim://'缓冲区远程漏洞
高危 缓冲区溢出
2001-01-09 00:00:00 2005-10-20 00:00:00
远程※本地  
        AOL Instant Messenger 4.3.2229之前版本存在漏洞。远程攻击者可以借助超长"goim"命令执行任意代码。

- 公告与补丁

        This vulnerability has been addressed in AOL Instant Messenger 4.3.2229:
        http://www.aol.com/aim/download.html

- 漏洞信息 (20510)

AOL Instant Messenger 3.5.1856/4.0/4.1.2010/4.2.1193 'aim://' Buffer Overflow Vulnerability (EDBID:20510)
windows remote
2000-12-12 Verified
0 Joe Testa
N/A [点击下载]
source: http://www.securityfocus.com/bid/2118/info

AOL Instant Messenger (AIM) is a real time messaging service for users that are on line. When AOL Instant Messenger is installed, by default it configures the system so that the aim: URL protocol connects aim:// urls to the AIM client. There exists a buffer overflow in parsing aim:// URL parameters.

This vulnerability exists in versions of AOL Instant previous to Messenger 4.3.2229. By sending a specially crafted URL ,using the 'aim:' protocol, comprised of 'goim' and 'screenname' parameters, it is possible for a remote user to overflow the buffer during a memory copy operation and execute arbitarary code.

It should be noted that the victim need only have AIM installed on their machine to be vulnerable. Even if AIM is not running, if a user clicks or otherwise activates a malicious aim:// url, the overflow will occur. Additionally it should be noted that AIM is often included/bundled with Netscape Communicator and possibly other popular software programs.

Successful exploitation of this vulnerability will lead to complete comprimise of the target host. 

href="aim:goim? screenname=AAAAAAAAAAAAAAAAAAAAAAAAAA AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA AAAAAA&message=EIP,+the+other+white+meat" >here</a><br> 		

- 漏洞信息

9533
AOL Instant Messenger (AIM) goim Command Remote Overflow
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Unknown

- 漏洞描述

- 时间线

2000-12-12 Unknow
Unknow Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

AOL Instant Messenger 'aim://' Buffer Overflow Vulnerability
Boundary Condition Error 2118
Yes Yes
2000-12-12 12:00:00 2009-07-11 04:46:00
The buffer overflow in the AIM 'goim' parameter and the 'screenname' parameter were orignally discovered by Joe Testa <jst3290@ritvax.isc.rit.edu> and submitted to the Vuln-Dev mailing list on March 19, 2000. @stake <www.atstake.com> later posted a secur

- 受影响的程序版本

AOL Instant Messenger 4.2.1193
- Microsoft Windows 2000 Professional
- Microsoft Windows 95
- Microsoft Windows 98
- Microsoft Windows NT 4.0
AOL Instant Messenger 4.1.2010
- Microsoft Windows 2000 Professional
- Microsoft Windows 95
- Microsoft Windows 98
- Microsoft Windows NT 4.0
AOL Instant Messenger 4.0
- Apple Mac OS 9 9.0
- Microsoft Windows 95
- Microsoft Windows 98
- Microsoft Windows CE 3.0
- Microsoft Windows NT 4.0
AOL Instant Messenger 3.5.1856
- Microsoft Windows 2000 Professional
- Microsoft Windows 95
- Microsoft Windows 98
- Microsoft Windows NT 4.0
AOL Instant Messenger 4.3.2229
- Microsoft Windows 2000 Professional SP2
- Microsoft Windows 2000 Professional SP1
- Microsoft Windows 2000 Professional
- Microsoft Windows 95
- Microsoft Windows 98
- Microsoft Windows CE 3.0
- Microsoft Windows CE 2.0
- Microsoft Windows NT 4.0 SP6a
- Microsoft Windows NT 4.0 SP6
- Microsoft Windows NT 4.0 SP5
- Microsoft Windows NT 4.0 SP4
- Microsoft Windows NT 4.0 SP3
- Microsoft Windows NT 4.0 SP2
- Microsoft Windows NT 4.0 SP1
- Microsoft Windows NT 4.0

- 不受影响的程序版本

AOL Instant Messenger 4.3.2229
- Microsoft Windows 2000 Professional SP2
- Microsoft Windows 2000 Professional SP1
- Microsoft Windows 2000 Professional
- Microsoft Windows 95
- Microsoft Windows 98
- Microsoft Windows CE 3.0
- Microsoft Windows CE 2.0
- Microsoft Windows NT 4.0 SP6a
- Microsoft Windows NT 4.0 SP6
- Microsoft Windows NT 4.0 SP5
- Microsoft Windows NT 4.0 SP4
- Microsoft Windows NT 4.0 SP3
- Microsoft Windows NT 4.0 SP2
- Microsoft Windows NT 4.0 SP1
- Microsoft Windows NT 4.0

- 漏洞讨论

AOL Instant Messenger (AIM) is a real time messaging service for users that are on line. When AOL Instant Messenger is installed, by default it configures the system so that the aim: URL protocol connects aim:// urls to the AIM client. There exists a buffer overflow in parsing aim:// URL parameters.

This vulnerability exists in versions of AOL Instant previous to Messenger 4.3.2229. By sending a specially crafted URL ,using the 'aim:' protocol, comprised of 'goim' and 'screenname' parameters, it is possible for a remote user to overflow the buffer during a memory copy operation and execute arbitarary code.

It should be noted that the victim need only have AIM installed on their machine to be vulnerable. Even if AIM is not running, if a user clicks or otherwise activates a malicious aim:// url, the overflow will occur. Additionally it should be noted that AIM is often included/bundled with Netscape Communicator and possibly other popular software programs.

Successful exploitation of this vulnerability will lead to complete comprimise of the target host.

- 漏洞利用

The following exploit has been provided by Joe Testa &lt;jst3290@ritvax.isc.rit.edu&gt;:

href="aim:goim? screenname=AAAAAAAAAAAAAAAAAAAAAAAAAA AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA AAAAAA&amp;message=EIP,+the+other+white+meat" &gt;here&lt;/a&gt;&lt;br&gt;

- 解决方案

This vulnerability has been addressed in AOL Instant Messenger 4.3.2229:

http://www.aol.com/aim/download.html

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站